%{?nodejs_find_provides_and_requires}
%global npm_name arr-flatten

Summary:       Recursively flatten an array or arrays
Name:          nodejs-%{npm_name}
Version:       1.0.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jonschlinkert/arr-flatten
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Recursively flatten an array or arrays. This is the fastest 
implementation of array flatten.

Why another flatten utility? I wanted the fastest implementation 
I could find, with implementation choices that should work 
for 95% of use cases, but no cruft to cover the other 5%.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Wed Dec 16 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Initial package
